package com.steerinfo.metermonitor.metermonitornote.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="计量操作日志表")
public class MeterMonitorNote implements IBasePO<String> {
    /**
     * 操作编号(GUID)(NOTE_NO,VARCHAR,40)
     */
    @ApiModelProperty(value="操作编号(GUID)",required=true)
    private String noteNo;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=false)
    private String baseSpotNo;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称",required=false)
    private String baseSpotName;

    /**
     * 操作内容|日志内容(OPERATION_CONTENT,VARCHAR,400)
     */
    @ApiModelProperty(value="操作内容|日志内容",required=true)
    private String operationContent;

    /**
     * 操作时间|记录时间(YYYY-MM-DD HH:mm:SS)(OPERATION_TIME,VARCHAR,40)
     */
    @ApiModelProperty(value="操作时间|记录时间(YYYY-MM-DD HH:mm:SS)",required=true)
    private String operationTime;

    /**
     * 车号(CAR_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车号",required=false)
    private String carNo;

    /**
     * 计量员编号(METER_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量员编号",required=false)
    private String meterManNo;

    /**
     * 计量员姓名(METER_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量员姓名",required=false)
    private String meterManName;

    /**
     * 日志来源(0智能计量终端,1自助取码终端,2计量监控终端 3微信小程序 4远程计量终端)(METER_NOTE_SOURCE,VARCHAR,1)
     */
    @ApiModelProperty(value="日志来源(0智能计量终端,1自助取码终端,2计量监控终端 3微信小程序 4远程计量终端)",required=false)
    private String meterNoteSource;

    /**
     * 计量日志类型编码(NOTE_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量日志类型编码",required=false)
    private String noteTypeNo;

    /**
     * 计量日志类型名称(NOTE_TYPE_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量日志类型名称",required=false)
    private String noteTypeName;

    /**
     * 预报编号(PREDICTION_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="预报编号",required=false)
    private String predictionNo;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=false)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 监控界面提示信息(MONITOR_NOTE,VARCHAR,400)
     */
    @ApiModelProperty(value="监控界面提示信息",required=false)
    private String monitorNote;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.noteNo;
    }

    @Override
    public void setId(String noteNo) {
        this.noteNo = noteNo == null ? null : noteNo.trim();
    }

    public String getNoteNo() {
        return noteNo;
    }

    public void setNoteNo(String noteNo) {
        this.noteNo = noteNo == null ? null : noteNo.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getOperationContent() {
        return operationContent;
    }

    public void setOperationContent(String operationContent) {
        this.operationContent = operationContent == null ? null : operationContent.trim();
    }

    public String getOperationTime() {
        return operationTime;
    }

    public void setOperationTime(String operationTime) {
        this.operationTime = operationTime == null ? null : operationTime.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public String getMeterManNo() {
        return meterManNo;
    }

    public void setMeterManNo(String meterManNo) {
        this.meterManNo = meterManNo == null ? null : meterManNo.trim();
    }

    public String getMeterManName() {
        return meterManName;
    }

    public void setMeterManName(String meterManName) {
        this.meterManName = meterManName == null ? null : meterManName.trim();
    }

    public String getMeterNoteSource() {
        return meterNoteSource;
    }

    public void setMeterNoteSource(String meterNoteSource) {
        this.meterNoteSource = meterNoteSource == null ? null : meterNoteSource.trim();
    }

    public String getNoteTypeNo() {
        return noteTypeNo;
    }

    public void setNoteTypeNo(String noteTypeNo) {
        this.noteTypeNo = noteTypeNo == null ? null : noteTypeNo.trim();
    }

    public String getNoteTypeName() {
        return noteTypeName;
    }

    public void setNoteTypeName(String noteTypeName) {
        this.noteTypeName = noteTypeName == null ? null : noteTypeName.trim();
    }

    public String getPredictionNo() {
        return predictionNo;
    }

    public void setPredictionNo(String predictionNo) {
        this.predictionNo = predictionNo == null ? null : predictionNo.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getMonitorNote() {
        return monitorNote;
    }

    public void setMonitorNote(String monitorNote) {
        this.monitorNote = monitorNote == null ? null : monitorNote.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", noteNo=").append(noteNo);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", operationContent=").append(operationContent);
        sb.append(", operationTime=").append(operationTime);
        sb.append(", carNo=").append(carNo);
        sb.append(", meterManNo=").append(meterManNo);
        sb.append(", meterManName=").append(meterManName);
        sb.append(", meterNoteSource=").append(meterNoteSource);
        sb.append(", noteTypeNo=").append(noteTypeNo);
        sb.append(", noteTypeName=").append(noteTypeName);
        sb.append(", predictionNo=").append(predictionNo);
        sb.append(", memo=").append(memo);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", monitorNote=").append(monitorNote);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}